# std::ranges::chunk_view<V>::inner-iterator::inner-iterator

From cppreference.com
< cpp‎ | ranges‎ | chunk view‎ | inner iterator

/*inner-iterator*/( /*inner-iterator*/&& other ) = default; | (1) | (since C++23)
private: constexpr explicit /*inner-iterator*/( chunk_view& parent ); | (2) | (exposition only*)

Construct an iterator.

1) A move constructor which move-initializes the underlying pointer `parent_` with other.`parent_`.
2) A private constructor which is used by `chunk_view::begin`. This constructor is not accessible to users. Initializes `parent_` with std::addressof (parent).

### Parameters

other | - | an iterator
parent | - | the enclosing ranges::chunk_view object

### Example

| This section is incomplete Reason: no example

### See also

operator= (C++23) | move assigns another iterator (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/ranges/chunk_view/inner_iterator/inner_iterator&oldid=156078"